Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.debug
Class DebugUtils

    java.lang.Object
      com.ejie.r01f.debug.DebugUtils

public class DebugUtils
extends java.lang.Object

Clase que gestiona las pre- y post-condiciones impuestas en las clases de la aplicación, definiendo de este modo un modelo de desarrollo mediante contrato, en el que al principio de un método se comprobarán los parámetros recibidos y el estado inicial mediante cláusulas DebugUtils.prec(), y al final del mismo se comprobará el valor devuelto y el estado final del sistema mediante clausulas DebugUtils.check(). Si alguna de las cláusulas no se cumple, se lanzará una excepción PreconditionException o CheckException

La idea es tener activas las comprobaciones durante el tiempo de desarrollo, y desactivarlas cuando el sistema se pase a producción. Para ello, bastará con establecer los atributos precs y checks a false y recompilar. Como están definidas como final, las clases compiladas se optimizarán y se eliminarán las comprobaciones del código compilado.

Field Summary
`static boolean` | `checks` Activa / desactiva los checks
`static boolean` | `precs` Activa / desactiva las pre-condiciones

Constructor Summary
`DebugUtils()`

Method Summary
`static void` | `check(boolean condition)` Comprobación de que una condición se cumple tras la ejecución del método.
`static void` | `check(boolean condition, java.lang.String reason)` Comprobación de que una condición se cumple tras la ejecución del método.
`static void` | `check(java.lang.Object notNull)` Comprobación de que un valor/atributo no sea nulo tras la ejecución del método.
`static void` | `check(java.lang.String notEmpty)` Comprobación de que un atributo de tipo String no sea nulo ni vacío tras la ejecución de un método
`static void` | `prec(boolean condition, java.lang.String reason)` Comprobación de que se cumple una condición (en los parámetros recibidos o en el estado del sistema) previamente a la ejecución de un método.
`static void` | `prec(java.lang.Object notNull)` Comprueba que el valor de un atributo recibido como parámetro no sea nulo.
`static void` | `prec(java.lang.Object notNull, java.lang.String msg)` Comprueba que el valor de un atributo recibido como parámetro no sea nulo.
`static void` | `prec(java.lang.String notEmpty)` Comprobación de que un parámetro recibido de tipo String no sea nulo ni vacío.
`static void` | `prec(java.lang.String notEmpty, java.lang.String msg)` Comprobación de que un parámetro recibido de tipo String no sea nulo ni vacío.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### precs

    public static final boolean precs

  Activa / desactiva las pre-condiciones

  See Also:
    Constant Field Values

### checks

    public static final boolean checks

  Activa / desactiva los checks

  See Also:
    Constant Field Values

Constructor Detail

### DebugUtils

    public DebugUtils()

Method Detail

### check

    public static final void check(boolean condition,
                                   java.lang.String reason)

  Comprobación de que una condición se cumple tras la ejecución del método.

  Parameters:
    `condition` - Condición a cumplir.
    `reason` - Descripción de la comprobación realizada (aparecerá en la excepción si no se cumple).

### check

    public static final void check(boolean condition)

  Comprobación de que una condición se cumple tras la ejecución del método.

  Parameters:
    `condition` - Condición a cumplir.

### check

    public static final void check(java.lang.Object notNull)

  Comprobación de que un valor/atributo no sea nulo tras la ejecución del método.

  Parameters:
    `notNull` - Valor que no debe ser nulo.

### check

    public static final void check(java.lang.String notEmpty)

  Comprobación de que un atributo de tipo String no sea nulo ni vacío tras la ejecución de un método

  Parameters:
    `notEmpty` - Valor que no debe ser nulo ni vacío.

### prec

    public static final void prec(boolean condition,
                                  java.lang.String reason)

  Comprobación de que se cumple una condición (en los parámetros recibidos o en el estado del sistema) previamente a la ejecución de un método.

  Parameters:
    `condition` - Condición que debe cumplirse.
    `reason` - Descripción de la condición que aparecerá en la excepción si no se cumple.

### prec

    public static final void prec(java.lang.Object notNull)

  Comprueba que el valor de un atributo recibido como parámetro no sea nulo.

  Parameters:
    `notNull` - Parámetro que no debe ser nulo.

### prec

    public static final void prec(java.lang.Object notNull,
                                  java.lang.String msg)

  Comprueba que el valor de un atributo recibido como parámetro no sea nulo.

  Parameters:
    `notNull` - Parámetro que no debe ser nulo.
    `msg` - Descripción que aparecerá en la excepción si el parámetro comprobado es nulo.

### prec

    public static final void prec(java.lang.String notEmpty)

  Comprobación de que un parámetro recibido de tipo String no sea nulo ni vacío.

  Parameters:
    `notEmpty` - Parámetro que no debe ser nulo ni vacío.

### prec

    public static final void prec(java.lang.String notEmpty,
                                  java.lang.String msg)

  Comprobación de que un parámetro recibido de tipo String no sea nulo ni vacío.

  Parameters:
    `notEmpty` - Parámetro que no debe ser nulo ni vacío.
    `msg` - Descripción que aparecerá en la excepción si el parámetro comprobado es nulo o vacío.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD